#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD4,0x7C,0xDA,0xA1,0xE9,0xBC,0xD5,0x14,0x42,0x2E,0xF5,0x8B,
		0xDC,0x9F,0x3F,0x4D,0x5A,0x98,0x0E,0xA4,0xC1,0xC1,0x66,0xAA,
		0xE2,0x79,0x96,0x7F,0x59,0x21,0xD6,0x42,0x6B,0x2E,0x69,0x13,
		0x4C,0x66,0xEC,0x03,0xDB,0xB6,0xEE,0xE5,0xB6,0xD7,0x42,0x59,
		0xF0,0xB8,0xFC,0xED,0xBD,0x8F,0xE5,0x41,0x23,0x94,0xA4,0xD8,
		0x06,0x8C,0xBC,0x63,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
